﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(Application["Count"] == null)
            {
                Application.Lock();

                Application["Count"] = 1;

                Application.UnLock();
            }
            else
            {
                Application["Count"] = (int)Application["Count"] + 1;
            }

            if(Session["Count"] == null)
            {
                Session["Count"] = 1;
            }
            else
            {
                Session["Count"] = (int)Session["Count"] + 1;
            }

            this.applicationCountLabel.Text = Application["Count"].ToString();
            this.sessionCountLabel.Text     = Session["Count"].ToString();
            this.sessionIDLabel.Text        = Session.SessionID;
            this.timeOutLabel.Text          = Session.Timeout.ToString();
        }

        #endregion
    }
}